/// <reference types="react" />
export declare const StyledSlider: import("@emotion/styled").StyledComponent<import("@mantine/core").SliderProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme;
} & Omit<import("@mantine/core").SliderProps, "color"> & {
    color?: string;
    withControl?: boolean;
    isStatic?: boolean;
    containerClassName?: string;
    containerStyle?: import("react").CSSProperties;
}, {}, {}>;
export declare const StyledSliderWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
